Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class NonOptimizedMethodExecutionTransformer

    java.lang.Object
      org.jboss.aop.instrument.MethodExecutionTransformer
          org.jboss.aop.instrument.NonOptimizedMethodExecutionTransformer

public class NonOptimizedMethodExecutionTransformer
extends MethodExecutionTransformer

Comment

Version:
  $Revision$
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.MethodExecutionTransformer
`MethodExecutionTransformer.MethodTransformation`

Field Summary

Fields inherited from class org.jboss.aop.instrument.MethodExecutionTransformer
`instrumentor, METHOD_INFO_CLASS_NAME`

Constructor Summary
`NonOptimizedMethodExecutionTransformer(Instrumentor instrumentor)`

Method Summary
`protected void` | `doWrap(MethodExecutionTransformer.MethodTransformation trans, String methodInfoFieldName)`
`protected void` | `setWrapperBody(MethodExecutionTransformer.MethodTransformation trans, String methodInfoField)`
`protected void` | `transformMethod(MethodExecutionTransformer.MethodTransformation trans, boolean wrap)`

Methods inherited from class org.jboss.aop.instrument.MethodExecutionTransformer
`addInfoAsWeakReference, addMethodInfoField, addMethodInfoField, classifyMethods, copyAnnotations, getAopReturnStr, getAopReturnStr, getClassifier, getMethodInfoFieldName, getMethodNameHash, getReturnStr, getReturnStr, getWrapper, instrument, methodInfoFromWeakReference, unwrap, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonOptimizedMethodExecutionTransformer

    public NonOptimizedMethodExecutionTransformer(Instrumentor instrumentor)

Method Detail

### transformMethod

    protected void transformMethod(MethodExecutionTransformer.MethodTransformation trans,
                                   boolean wrap)
                            throws javassist.NotFoundException,
                                   javassist.CannotCompileException

  Specified by:
    `transformMethod` in class `MethodExecutionTransformer`
  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### doWrap

    protected void doWrap(MethodExecutionTransformer.MethodTransformation trans,
                          String methodInfoFieldName)
                   throws javassist.NotFoundException,
                          Exception

  Specified by:
    `doWrap` in class `MethodExecutionTransformer`
  Throws:
    `javassist.NotFoundException`
    `Exception`

### setWrapperBody

    protected void setWrapperBody(MethodExecutionTransformer.MethodTransformation trans,
                                  String methodInfoField)
                           throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.